using System.ComponentModel.DataAnnotations;

namespace Domain.Entities.Forum.ValueObject;

/// <summary>
/// 게시판 권한 레벨
/// </summary>
public enum BoardPermission : short
{
    [Display(Name = "-1: 비회원")]
    Guest = -1,

    [Display(Name = "0: 정회원")]
    Member = 0,

    [Display(Name = "99: 매니저")]
    Manager = 99,

    [Display(Name = "1000: 최고관리자")]
    Admin = 1000
}